mb_strcut
mb_stripos
Multibyte String Functions
PHP Manual

# mb_strimwidth

(PHP 4 >= 4.0.6, PHP 5)

mb_strimwidth — Get truncated string with specified width

### Description

string mb_strimwidth ( string `$str` , int `$start` , int `$width` [, string `$trimmarker` [, string `$encoding` ]] )

Truncates string `str` to specified `width` .

### Parameters

`str`

  The string being decoded.

`start`

  The start position offset. Number of characters from the beginning of string. (First character is 0)

`width`

  The width of the desired trim.

`trimmarker`

  A string that is added to the end of string when string is truncated.

`encoding`

  The `encoding` parameter is the character encoding. If it is omitted, the internal character encoding value will be used.

### Return Values

The truncated string. If `trimmarker` is set, `trimmarker` is appended to the return value.

### Examples

Example #1 mb_strimwidth() example

`<?php
$str = mb_strimwidth($str, 0, 40, "..>");
?>`

### See Also

- mb_strwidth()
- mb_internal_encoding()

mb_strcut
mb_stripos
Multibyte String Functions
PHP Manual